summaryrefslogtreecommitdiff
path: root/taler-build
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2019-09-13 19:46:39 +0200
committerMarcello Stanisci <stanisci.m@gmail.com>2019-09-13 19:46:39 +0200
commitb55dc6dd2ee6a817b14880117858acaeda9e351b (patch)
treea4dc77747885bd131fdb05be975c3baf36f695c6 /taler-build
parentd048cb9ba2f4cfa8f474e8be873fefebffa98406 (diff)
downloaddeployment-b55dc6dd2ee6a817b14880117858acaeda9e351b.tar.gz
deployment-b55dc6dd2ee6a817b14880117858acaeda9e351b.tar.bz2
deployment-b55dc6dd2ee6a817b14880117858acaeda9e351b.zip
No blue-green for workers.
Diffstat (limited to 'taler-build')
-rwxr-xr-xtaler-build/invalidate.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/taler-build/invalidate.sh b/taler-build/invalidate.sh
index 5afa68a..0518a2f 100755
--- a/taler-build/invalidate.sh
+++ b/taler-build/invalidate.sh
@@ -1,9 +1,15 @@
#!/bin/bash
set -eu
-components="auditor deployment exchange merchant bank gnurl donations blog landing gnunet libmicrohttpd survey backoffice twister"
+COMPONENTS="auditor deployment exchange merchant bank gnurl donations blog landing gnunet libmicrohttpd survey backoffice twister"
+
+for component in $COMPONENTS ; do
+
+ # Not all the setups have all the repos!
+ if ! test -d $HOME/$component; then
+ continue
+ fi
-for component in $components ; do
cd $HOME/$component
git fetch
if git status -sb | grep behind; then